### Method

# Gtk InfoBar add_buttons

#### Declaration [src]

    void
    gtk_info_bar_add_buttons (
      GtkInfoBar* info_bar,
      const char* first_button_text,
      ...
    )

#### Description [src]

Adds multiple buttons.

This is the same as calling gtk_info_bar_add_button() repeatedly. The variable argument list should be `NULL`-terminated as with gtk_info_bar_new_with_buttons(). Each button must have both text and response ID.

#### Parameters

`first_button_text` | `const char*`
| Button text.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`...` | ``
| Response ID for first button, then more text-response_id pairs, ending with `NULL`.